<?php

echo '<p><b>Mise à jour base de données <i class="fas fa-angle-double-right"></i> Version 0.35</b></p>
<ul class="maxwidth">';

// Ajout d'une colonne resa dans la table _espaces
mysqli_query($bdd,"ALTER TABLE ".$prefix."_espaces ADD resa INT ( 11 ) DEFAULT NULL");
mysqli_query($bdd,"UPDATE ".$prefix."_espaces SET resa = '1'");
echo '<li>Ajout d\'une colonne <i>resa</i> dans la table _espaces.</li>';

// Ajout d'une colonne resa_dist dans la table _espaces
mysqli_query($bdd,"ALTER TABLE ".$prefix."_espaces ADD resa_dist INT ( 11 ) DEFAULT NULL");
mysqli_query($bdd,"UPDATE ".$prefix."_espaces SET resa_dist = '1'");
echo '<li>Ajout d\'une colonne <i>resa_dist</i> dans la table _espaces.</li>';

// Ajout d'un paramètre de permission de résa dans premier espace en multi
$espresa = mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'espaces_first_resamulti'");
$espresa_nb = mysqli_num_rows($espresa);
if($espresa_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_id, param_nom, valeur, comments) VALUES ('', 'espaces_first_resamulti', '1', 'Option de réservation dans le premier espace, si plusieurs espaces.')");
}
echo '<li>Ajout d\'un paramètre de permission de réservation dans premier espace en multi.</li>';

// Ajout d'un paramètre de permission de résa à distance dans premier espace en multi
$espresad = mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'espaces_first_resadistmulti'");
$espresad_nb = mysqli_num_rows($espresad);
if($espresad_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_id, param_nom, valeur, comments) VALUES ('', 'espaces_first_resadistmulti', '1', 'Option de réservation à distance dans le premier espace, si plusieurs espaces.')");
}
echo '<li>Ajout d\'un paramètre de permission de réservation à distance dans premier espace en multi.</li>';

// Ajout d'un paramètre pour durée maximale pour la réservation
$resd = mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_res_dureemax'");
$resd_nb = mysqli_num_rows($resd);
if($resd_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_id, param_nom, valeur, comments) VALUES ('', 'freq_res_dureemax', '0', 'Option de durée maximale pour la réservation (en jours).')");
}
echo '<li>Ajout d\'un paramètre pour le nombre de jours maximal pour faire des réservations.</li>';

// suppression corrigée d'events pour des journées fermées sans suppression préalable
$dayoffs = mysqli_query($bdd,"SELECT * FROM ".$prefix."_calendrier WHERE statut ='0'");
$events_nb = 0;
foreach($dayoffs as $dayoff) {
	$events = mysqli_query($bdd,"SELECT * FROM ".$prefix."_edtevent WHERE dtstart LIKE '".substr($dayoff['date'],0,4).substr($dayoff['date'],5,2).substr($dayoff['date'],8,2)."%'");
	$events_nb += mysqli_num_rows($events);
	foreach($events as $event) {
		mysqli_query($bdd,"DELETE FROM ".$prefix."_userevent WHERE uid = '".$event['uid']."'");
		mysqli_query($bdd,"DELETE FROM ".$prefix."_edtevent WHERE uid = '".$event['uid']."'");
	}
}
echo '<li>Suppression d\'events (ou briques) pour des journées qui ont été fermées sans que ces briques aient été enlevées au préalable ('.$events_nb.' event(s) ou brique(s) concernés).</li>';

// version bdd :
mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0.35' WHERE param_nom = 'version_bdd'");
echo '<li>Mise à jour de la base de données effectuée - version_bdd 0.35.</li></ul>';
?>